# $Revision: 1.11 $, $Date: 2010/02/09 08:18:14 $
%define		_modname	intl
%define		_status		stable
Summary:	%{_modname} - Internationalization extension
Summary(pl.UTF-8):	%{_modname} - rozszerzenie internacjonalizacji
Name:		php-pecl-%{_modname}
Version:	1.1.0
Release:	1
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	650f59a78650f4557f3bf8745ce2c663
Patch0:		%{name}-tsrm.patch
URL:		http://pecl.php.net/package/intl/
BuildRequires:	libicu-devel >= 3.4.0-1
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pecl-idn
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Internationalization extension implements ICU library functionality in
PHP.

In PECL status of this extension is: %{_status}.

%description -l pl.UTF-8
Rozszerzenie to posiada zaimplementowaną obsługę biblioteki ICU.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c
cd %{_modname}-%{version}
%patch0 -p2

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	-C %{_modname}-%{version} \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{doc/,CREDITS}
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-intl.spec,v $
Revision 1.11  2010/02/09 08:18:14  adamg
- updated to 1.1.0

Revision 1.10  2009/10/28 14:52:17  arekm
- rel 2: O: php-pecl-idn

Revision 1.9  2009/10/28 07:49:53  adamg
- updated to 1.0.3

Revision 1.8  2009/09/22 10:39:42  glen
- release 2

Revision 1.7  2009/04/26 17:20:09  adamg
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

Revision 1.6  2009/04/11 18:09:22  adamg
- updated to 1.0.2

Revision 1.5  2008/12/26 03:00:53  adamg
- fixed previous commit msg

Revision 1.4  2008/12/26 01:52:47  adamg
- updated to 1.0.1

Revision 1.3  2008/06/27 22:41:58  adamg
- updated to 1.0.0 (final)

Revision 1.2  2008-04-12 21:45:04  qboosh
- pl fixes

Revision 1.1  2007-12-09 10:53:11  adamg
- new
